%define upstream_name    Dist-Zilla-Plugin-Test-Version
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Release Test::Version tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::EOL)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoTabs)
BuildRequires: perl(Test::Script) >= 1.120.0
BuildRequires: perl(Test::Version) >= 1.0.0
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.90.0-6.mga10
+ Revision: 2203756
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.90.0-5.mga9
+ Revision: 1809078
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.90.0-4.mga8
+ Revision: 1504225
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.90.0-3.mga7
+ Revision: 1283355
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.90.0-2.mga7
+ Revision: 1164274
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 1.90.0-1.mga7
+ Revision: 1157900
- update to 1.09

* Sun May 08 2016 shlomif <shlomif> 1.80.0-1.mga6
+ Revision: 1010922
- New version 1.08

* Thu Apr 28 2016 shlomif <shlomif> 1.60.0-1.mga6
+ Revision: 1007595
- update to 1.06

* Fri Feb 19 2016 umeabot <umeabot> 1.50.0-2.mga6
+ Revision: 968275
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.50.0-1.mga6
+ Revision: 851879
- update to 1.05

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-5.mga5
+ Revision: 743167
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.4-3.mga4
+ Revision: 511174
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 366539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.2.4-1.mga3
+ Revision: 254908
- update to 0.002004

* Mon Dec 12 2011 jquelin <jquelin> 0.1.4-1.mga2
+ Revision: 180862
- update to 0.001004
- imported package perl-Dist-Zilla-Plugin-Test-Version


* Fri Aug 26 2011 cpan2dist 0.1.2-1mga
- initial mageia release, generated with cpan2dist
